com.sun.tdk.specdiff.html.stat

## Class Problem

- java.lang.Object
- - com.sun.tdk.specdiff.html.stat.Problem

- All Implemented Interfaces:
    java.io.Serializable

      public class Problem
      extends java.lang.Object
      implements java.io.Serializable

  Problem VO. Not thread safe!
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Problem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProblemParameter` | `addParam(java.lang.String name, java.lang.String value)`
    `java.lang.String` | `getAssertion()`
    `java.lang.String` | `getContext()`
    `java.lang.String` | `getDocument()`
    `java.util.Collection<ProblemParameter>` | `getParamList()`
    `ProblemStatus` | `getProblemStatus()`
    `ProblemType` | `getProblemType()`
    `void` | `setAssertion(java.lang.String assertion)`
    `void` | `setContext(java.lang.String context)`
    `void` | `setDocument(java.lang.String document)`
    `void` | `setProblemStatus(ProblemStatus ps)`
    `void` | `setProblemType(ProblemType pt)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Problem

          public Problem()

  - ### Method Detail

    - #### getDocument

          public java.lang.String getDocument()

    - #### setDocument

          public void setDocument(java.lang.String document)

    - #### getContext

          public java.lang.String getContext()

    - #### setContext

          public void setContext(java.lang.String context)

    - #### getAssertion

          public java.lang.String getAssertion()

    - #### setAssertion

          public void setAssertion(java.lang.String assertion)

    - #### getProblemType

          public ProblemType getProblemType()

    - #### setProblemType

          public void setProblemType(ProblemType pt)

    - #### getProblemStatus

          public ProblemStatus getProblemStatus()

    - #### setProblemStatus

          public void setProblemStatus(ProblemStatus ps)

    - #### getParamList

          public java.util.Collection<ProblemParameter> getParamList()

    - #### addParam

          public ProblemParameter addParam(java.lang.String name,
                                           java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`